package rubrica;

public class NominativoFactory
{
	public static Nominativo newNominativo(String dati)
	{
		String nome, cognome;
		int index;
		Nominativo retval;

		dati = dati.trim();
		if( (index = dati.indexOf(',')) != -1)
		{
			char c = dati.charAt(index+1);
			cognome = dati.substring(0, index);
			if(c == ' ')//c'e' lo spazio
			{
				nome = dati.substring(index+2, dati.length());
			}
			else // non c'e' lo spazio
			{
				nome = dati.substring(index+1, dati.length());
			}
			retval = new NominativoPrimaCognome(nome, cognome);
		}
		else // non c'e' la virgola, assumo "nome cognome"
		{
			if( (index = dati.indexOf(' ')) == -1)
			{
				//durante lo sviluppo, meglio identificare le situazioni anomale e non cercare di mascherarle
				throw new IllegalArgumentException("Il parametro <" + dati + "> non contiene ne' virgole ne' spazi: non so come gestirlo");
			}
			nome = dati.substring(0, index);
			cognome = dati.substring(index+1, dati.length());
			retval = new NominativoPrimaNome(nome, cognome);
		}

		return retval;
	}
}
